<template>
  <section id="principis-pilars-teorics" class="flex flex-wrap lg:flex-no-wrap">
    <div class="w-auto flex-grow">
      <g-image
        class="h-full w-full object-cover"
        :src="featured_image.image"
        :alt="featured_image.description"
      />
    </div>
    <div
      class="px-4 py-20 bg-gray-200 md:min-w-3/5 md:p-20 lg:pl-12 lg:pr-8 lg:py-32 xl:min-w-1/4 xl:px-20"
    >
      <header class="max-w-4xl mx-auto">
        <h3 class="text-red-500">{{ heading }}</h3>
        <div class="summary markdown pb-8 border-b" v-html="text" />
      </header>
      <div class="max-w-4xl mx-auto mt-8 sm:pt-12">
        <div class="-my-6 flex flex-wrap md:-m-6">
          <Quote
            v-for="referent in referents"
            :key="referent.name"
            :name="referent.name"
            :text="referent.text"
            :image="referent.avatar_image.image"
            :imageDesc="referent.avatar_image.description"
          />
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import Quote from '~/components/common/Quote.vue';

export default {
  name: 'PrincipisPilarsTeorics',
  components: {
    Quote,
  },
  props: {
    heading: String,
    text: String,
    featured_image: Object,
    referents: Array,
  },
};
</script>
